Skip to main content
Identify
curl --request POST \
  --url https://api.getvero.com/api/v2/users/track \
  --header 'Content-Type: application/json' \
  --header 'Security: API Key: <security: api key>' \
  --data '
{
  "id": "<string>",
  "email": "<string>",
  "phone_number": "<string>",
  "channels": [
    [
      {
        "type": "<string>",
        "address": "<string>",
        "platform": "<string>"
      }
    ]
  ],
  "data": {}
}
'
{
  "status": 200,
  "message": "Success."
}

Request

Security: API Key
string
required
An API key is a token that you provide when making API calls. Include the token in a query parameter called auth_token.Example: ?auth_token=123

Body

id
string
default:"1000"
The unique identifier of the customer.
email
string
default:"test@example.com"
The email of the customer.
phone_number
string
default:"+614123456789"
The phone number of the customer.
channels
array[]
A valid JSON array containing hashes of key/value pairs that represent the user’s device token. Each hash should represent a single device token and include the fields type, address, and platform.
data
object
A valid JSON hash containing key value pairs that represent the custom user properties you want to update. The language, timezone and userAgent attributes are reserved properties that may be updated automatically by our SDKs. You can use these properties but bear in mind they may be overwritten if using our SDKs or integrations. All other keys are freeform and can be defined by you.

Responses

200
object
OK
400
object
Bad Request
401
object
Unauthorized
404
object
Not Found
500
object
Internal server error
{
  "status": 200,
  "message": "Success."
}